## javax.faces.convert
Class NumberConverter

    java.lang.Object
      javax.faces.convert.NumberConverter

All Implemented Interfaces:
  Converter, StateHolder

public class NumberConverter
extends java.lang.Object
implements Converter, StateHolder

Version:
  $Revision: 278694 $ $Date: 2005-09-05 05:00:10 -0400 (Mon, 05 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: baranda $)

Field Summary
`static java.lang.String` `CONVERTER_ID`

Constructor Summary
`NumberConverter()`

Method Summary
`java.lang.Object` `getAsObject(FacesContext facesContext, UIComponent uiComponent, java.lang.String value)`
`java.lang.String` `getAsString(FacesContext facesContext, UIComponent uiComponent, java.lang.Object value)`
`java.lang.String` `getCurrencyCode()`
`java.lang.String` `getCurrencySymbol()`
`java.util.Locale` `getLocale()`
`int` `getMaxFractionDigits()`
`int` `getMaxIntegerDigits()`
`int` `getMinFractionDigits()`
`int` `getMinIntegerDigits()`
`java.lang.String` `getPattern()`
`java.lang.String` `getType()`
`boolean` `isGroupingUsed()`
`boolean` `isIntegerOnly()`
`boolean` `isTransient()`
`void` `restoreState(FacesContext facesContext, java.lang.Object state)`
`java.lang.Object` `saveState(FacesContext facesContext)`
`void` `setCurrencyCode(java.lang.String currencyCode)`
`void` `setCurrencySymbol(java.lang.String currencySymbol)`
`void` `setGroupingUsed(boolean groupingUsed)`
`void` `setIntegerOnly(boolean integerOnly)`
`void` `setLocale(java.util.Locale locale)`
`void` `setMaxFractionDigits(int maxFractionDigits)`
`void` `setMaxIntegerDigits(int maxIntegerDigits)`
`void` `setMinFractionDigits(int minFractionDigits)`
`void` `setMinIntegerDigits(int minIntegerDigits)`
`void` `setPattern(java.lang.String pattern)`
`void` `setTransient(boolean aTransient)`
`void` `setType(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERTER_ID

    public static final java.lang.String CONVERTER_ID

See Also:
  Constant Field Values

Constructor Detail

### NumberConverter

    public NumberConverter()

Method Detail

### getAsObject

    public java.lang.Object getAsObject(FacesContext facesContext,
                                        UIComponent uiComponent,
                                        java.lang.String value)

  Specified by:
    `getAsObject` in interface `Converter`

### getAsString

    public java.lang.String getAsString(FacesContext facesContext,
                                        UIComponent uiComponent,
                                        java.lang.Object value)

  Specified by:
    `getAsString` in interface `Converter`

### restoreState

    public void restoreState(FacesContext facesContext,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`

### saveState

    public java.lang.Object saveState(FacesContext facesContext)

  Specified by:
    `saveState` in interface `StateHolder`

### getCurrencyCode

    public java.lang.String getCurrencyCode()

### setCurrencyCode

    public void setCurrencyCode(java.lang.String currencyCode)

### getCurrencySymbol

    public java.lang.String getCurrencySymbol()

### setCurrencySymbol

    public void setCurrencySymbol(java.lang.String currencySymbol)

### isGroupingUsed

    public boolean isGroupingUsed()

### setGroupingUsed

    public void setGroupingUsed(boolean groupingUsed)

### isIntegerOnly

    public boolean isIntegerOnly()

### setIntegerOnly

    public void setIntegerOnly(boolean integerOnly)

### getLocale

    public java.util.Locale getLocale()

### setLocale

    public void setLocale(java.util.Locale locale)

### getMaxFractionDigits

    public int getMaxFractionDigits()

### setMaxFractionDigits

    public void setMaxFractionDigits(int maxFractionDigits)

### getMaxIntegerDigits

    public int getMaxIntegerDigits()

### setMaxIntegerDigits

    public void setMaxIntegerDigits(int maxIntegerDigits)

### getMinFractionDigits

    public int getMinFractionDigits()

### setMinFractionDigits

    public void setMinFractionDigits(int minFractionDigits)

### getMinIntegerDigits

    public int getMinIntegerDigits()

### setMinIntegerDigits

    public void setMinIntegerDigits(int minIntegerDigits)

### getPattern

    public java.lang.String getPattern()

### setPattern

    public void setPattern(java.lang.String pattern)

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `StateHolder`

### setTransient

    public void setTransient(boolean aTransient)

  Specified by:
    `setTransient` in interface `StateHolder`

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)